from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.bi.views import DatasetViewSet, DatasetRecordViewSet

API_BASE_URL = 'api/bi/'
HTML_BASE_URL = 'dhtml/bi/'

router = DefaultRouter()
router.register('dataset', DatasetViewSet, basename='dataset')
# router.register('report', ReportViewSet, basename='report')
router.register('datasetrecord', DatasetRecordViewSet, basename='datasetrecord')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]